﻿using System;
using System.Collections.Generic;
using System.Text;

namespace $rootnamespace$.Bd 
{
	public static partial class Gaart_pkg
	{
					#region ACT_EXIST
			
			[Nombre("GAART_PKG.ACT_EXIST")]
						[return: VARCHAR2(4000)]
						public delegate string __ACT_EXIST(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_cod);

						/// <summary>
			/// Llama a ACT_EXIST.
						/// </summary>
			public static string ACT_EXIST(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__ACT_EXIST v_act_exist;
				try {
					v_act_exist = Funcion.Crear<__ACT_EXIST>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ACT_EXIST");
				}
									string v_resultado;
								try {
				v_resultado = v_act_exist(p_transaccion, 
					p_empgrupo_cod, 
					p_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ACT_EXIST");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ARTICULO_GENERA_LOTES_SN
			
			[Nombre("GAART_PKG.ARTICULO_GENERA_LOTES_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __ARTICULO_GENERA_LOTES_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(8)] string p_ggalbtip_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a ARTICULO_GENERA_LOTES_SN.
						/// </summary>
			public static string ARTICULO_GENERA_LOTES_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_ggalbtip_cod, 
				string p_tip_vc, 
				string p_gaalmnom_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__ARTICULO_GENERA_LOTES_SN v_articulo_genera_lotes_sn;
				try {
					v_articulo_genera_lotes_sn = Funcion.Crear<__ARTICULO_GENERA_LOTES_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ARTICULO_GENERA_LOTES_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_articulo_genera_lotes_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_ggalbtip_cod, 
					p_tip_vc, 
					p_gaalmnom_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ARTICULO_GENERA_LOTES_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ARTICULO_GENERA_MOVI_SN
			
			[Nombre("GAART_PKG.ARTICULO_GENERA_MOVI_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __ARTICULO_GENERA_MOVI_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[DATE] DateTime? p_fecha, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a ARTICULO_GENERA_MOVI_SN.
						/// </summary>
			public static string ARTICULO_GENERA_MOVI_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				DateTime? p_fecha, 
				decimal? p_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__ARTICULO_GENERA_MOVI_SN v_articulo_genera_movi_sn;
				try {
					v_articulo_genera_movi_sn = Funcion.Crear<__ARTICULO_GENERA_MOVI_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ARTICULO_GENERA_MOVI_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_articulo_genera_movi_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_fecha, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ARTICULO_GENERA_MOVI_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ART_RESERVA_COMPONENTES_SN
			
			[Nombre("GAART_PKG.ART_RESERVA_COMPONENTES_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __ART_RESERVA_COMPONENTES_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string grupo, 
							[VARCHAR2(20)] string articulo, 
							[DATE] DateTime? fecha);

						/// <summary>
			/// Llama a ART_RESERVA_COMPONENTES_SN.
						/// </summary>
			public static string ART_RESERVA_COMPONENTES_SN(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string articulo, 
				DateTime? fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__ART_RESERVA_COMPONENTES_SN v_art_reserva_componentes_sn;
				try {
					v_art_reserva_componentes_sn = Funcion.Crear<__ART_RESERVA_COMPONENTES_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ART_RESERVA_COMPONENTES_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_art_reserva_componentes_sn(p_transaccion, 
					grupo, 
					articulo, 
					fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ART_RESERVA_COMPONENTES_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region COMPROBAR_GAUNIGRUP
			
			[Nombre("GAART_PKG.COMPROBAR_GAUNIGRUP")]
						[return: VARCHAR2(4000)]
						public delegate string __COMPROBAR_GAUNIGRUP(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_gaunigrup_cod, 
							[VARCHAR2(4)] string p_gaunitip_uni1, 
							[VARCHAR2(4)] string p_gaunitip_uni2);

						/// <summary>
			/// Llama a COMPROBAR_GAUNIGRUP.
						/// </summary>
			public static string COMPROBAR_GAUNIGRUP(
				System.Data.IDbTransaction p_transaccion, 
				string p_gaunigrup_cod, 
				string p_gaunitip_uni1, 
				string p_gaunitip_uni2)
			{
				var v_conexion = p_transaccion.Connection;
				__COMPROBAR_GAUNIGRUP v_comprobar_gaunigrup;
				try {
					v_comprobar_gaunigrup = Funcion.Crear<__COMPROBAR_GAUNIGRUP>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.COMPROBAR_GAUNIGRUP");
				}
									string v_resultado;
								try {
				v_resultado = v_comprobar_gaunigrup(p_transaccion, 
					p_gaunigrup_cod, 
					p_gaunitip_uni1, 
					p_gaunitip_uni2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.COMPROBAR_GAUNIGRUP");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region CREAR_GATARIFA_STD
			
			[Nombre("GAART_PKG.CREAR_GATARIFA_STD")]
						public delegate void __CREAR_GATARIFA_STD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_empgrupo, 
							[VARCHAR2(20)] string v_gaart);

						/// <summary>
			/// Llama a CREAR_GATARIFA_STD.
						/// </summary>
			public static void CREAR_GATARIFA_STD(
				System.Data.IDbTransaction p_transaccion, 
				string v_empgrupo, 
				string v_gaart)
			{
				var v_conexion = p_transaccion.Connection;
				__CREAR_GATARIFA_STD v_crear_gatarifa_std;
				try {
					v_crear_gatarifa_std = Funcion.Crear<__CREAR_GATARIFA_STD>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.CREAR_GATARIFA_STD");
				}
								try {
				v_crear_gatarifa_std(p_transaccion, 
					v_empgrupo, 
					v_gaart);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.CREAR_GATARIFA_STD");
				}
							}
			
			
			#endregion

					#region DAME_CANTIDAD_A_REAPROVISIONAR
			
			[Nombre("GAART_PKG.DAME_CANTIDAD_A_REAPROVISIONAR")]
						public delegate void __DAME_CANTIDAD_A_REAPROVISIONAR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(10)] string p_formula_reapr, 
							[DATE] DateTime? p_fecha_tope, 
							[DATE] DateTime? p_fecha_desde, 
							[DATE] DateTime? p_fecha_hasta, 
							[NUMBER(4)] int? p_divisor_k, 
							[NUMBER(4)] int? p_dias_seguridad, 
							[NUMBER(13, 4)] out decimal? v_c_a_reapr1, 
							[NUMBER(13, 4)] out decimal? v_c_a_reapr2);

						/// <summary>
			/// Llama a DAME_CANTIDAD_A_REAPROVISIONAR.
						/// </summary>
			public static void DAME_CANTIDAD_A_REAPROVISIONAR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				int? p_ggclipr_cod, 
				string p_formula_reapr, 
				DateTime? p_fecha_tope, 
				DateTime? p_fecha_desde, 
				DateTime? p_fecha_hasta, 
				int? p_divisor_k, 
				int? p_dias_seguridad, 
				out decimal? v_c_a_reapr1, 
				out decimal? v_c_a_reapr2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CANTIDAD_A_REAPROVISIONAR v_dame_cantidad_a_reaprovisionar;
				try {
					v_dame_cantidad_a_reaprovisionar = Funcion.Crear<__DAME_CANTIDAD_A_REAPROVISIONAR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CANTIDAD_A_REAPROVISIONAR");
				}
								try {
				v_dame_cantidad_a_reaprovisionar(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_ggclipr_cod, 
					p_formula_reapr, 
					p_fecha_tope, 
					p_fecha_desde, 
					p_fecha_hasta, 
					p_divisor_k, 
					p_dias_seguridad, 
					out v_c_a_reapr1, 
					out v_c_a_reapr2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CANTIDAD_A_REAPROVISIONAR");
				}
							}
			
			
			#endregion

					#region DAME_CANTI_APLICA_LOTE_MIN_MUL
			
			[Nombre("GAART_PKG.DAME_CANTI_APLICA_LOTE_MIN_MUL")]
						[return: NUMBER]
						public delegate decimal? __DAME_CANTI_APLICA_LOTE_MIN_MUL(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[NUMBER(13, 4)] decimal? p_cantidad_ori);

						/// <summary>
			/// Llama a DAME_CANTI_APLICA_LOTE_MIN_MUL.
						/// </summary>
			public static decimal? DAME_CANTI_APLICA_LOTE_MIN_MUL(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_gaart_cod, 
				decimal? p_cantidad_ori)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CANTI_APLICA_LOTE_MIN_MUL v_dame_canti_aplica_lote_min_mul;
				try {
					v_dame_canti_aplica_lote_min_mul = Funcion.Crear<__DAME_CANTI_APLICA_LOTE_MIN_MUL>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CANTI_APLICA_LOTE_MIN_MUL");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_canti_aplica_lote_min_mul(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_gaart_cod, 
					p_cantidad_ori);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CANTI_APLICA_LOTE_MIN_MUL");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CFIVATIP
			
			[Nombre("GAART_PKG.DAME_CFIVATIP")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_CFIVATIP(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod);

						/// <summary>
			/// Llama a DAME_CFIVATIP.
						/// </summary>
			public static string DAME_CFIVATIP(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CFIVATIP v_dame_cfivatip;
				try {
					v_dame_cfivatip = Funcion.Crear<__DAME_CFIVATIP>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CFIVATIP");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_cfivatip(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CFIVATIP");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_CONSUMO_ENTRE_FECHAS
			
			[Nombre("GAART_PKG.DAME_CONSUMO_ENTRE_FECHAS")]
						public delegate void __DAME_CONSUMO_ENTRE_FECHAS(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha_desde, 
							[DATE] DateTime? p_fecha_hasta, 
							[VARCHAR2(4000)] string p_entradas_sn, 
							[VARCHAR2(4000)] string p_salidas_sn, 
							[NUMBER(13, 4)] out decimal? p_c_consum1, 
							[NUMBER(13, 4)] out decimal? p_c_consum2);

						/// <summary>
			/// Llama a DAME_CONSUMO_ENTRE_FECHAS.
						/// </summary>
			public static void DAME_CONSUMO_ENTRE_FECHAS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha_desde, 
				DateTime? p_fecha_hasta, 
				string p_entradas_sn, 
				string p_salidas_sn, 
				out decimal? p_c_consum1, 
				out decimal? p_c_consum2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_CONSUMO_ENTRE_FECHAS v_dame_consumo_entre_fechas;
				try {
					v_dame_consumo_entre_fechas = Funcion.Crear<__DAME_CONSUMO_ENTRE_FECHAS>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CONSUMO_ENTRE_FECHAS");
				}
								try {
				v_dame_consumo_entre_fechas(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha_desde, 
					p_fecha_hasta, 
					p_entradas_sn, 
					p_salidas_sn, 
					out p_c_consum1, 
					out p_c_consum2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_CONSUMO_ENTRE_FECHAS");
				}
							}
			
			
			#endregion

					#region DAME_C_LOTEMIN_GAALM
			
			[Nombre("GAART_PKG.DAME_C_LOTEMIN_GAALM")]
						public delegate void __DAME_C_LOTEMIN_GAALM(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[VARCHAR2(4000)] string p_buscar_unidad2, 
							[NUMBER(13, 4)] out decimal? p_c_lotemin_uni1, 
							[NUMBER(13, 4)] out decimal? p_c_lotemin_uni2);

						/// <summary>
			/// Llama a DAME_C_LOTEMIN_GAALM.
						/// </summary>
			public static void DAME_C_LOTEMIN_GAALM(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				string p_buscar_unidad2, 
				out decimal? p_c_lotemin_uni1, 
				out decimal? p_c_lotemin_uni2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_C_LOTEMIN_GAALM v_dame_c_lotemin_gaalm;
				try {
					v_dame_c_lotemin_gaalm = Funcion.Crear<__DAME_C_LOTEMIN_GAALM>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_C_LOTEMIN_GAALM");
				}
								try {
				v_dame_c_lotemin_gaalm(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_buscar_unidad2, 
					out p_c_lotemin_uni1, 
					out p_c_lotemin_uni2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_C_LOTEMIN_GAALM");
				}
							}
			
			
			#endregion

					#region DAME_DATOS_A_REAPROVISIONAR
			
			[Nombre("GAART_PKG.DAME_DATOS_A_REAPROVISIONAR")]
						public delegate void __DAME_DATOS_A_REAPROVISIONAR(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a DAME_DATOS_A_REAPROVISIONAR.
						/// </summary>
			public static void DAME_DATOS_A_REAPROVISIONAR(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DATOS_A_REAPROVISIONAR v_dame_datos_a_reaprovisionar;
				try {
					v_dame_datos_a_reaprovisionar = Funcion.Crear<__DAME_DATOS_A_REAPROVISIONAR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DATOS_A_REAPROVISIONAR");
				}
								try {
				v_dame_datos_a_reaprovisionar(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DATOS_A_REAPROVISIONAR");
				}
							}
			
			
			#endregion

					#region DAME_DESCRIP
			
			[Nombre("GAART_PKG.DAME_DESCRIP")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_DESCRIP(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_DESCRIP.
						/// </summary>
			public static string DAME_DESCRIP(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DESCRIP v_dame_descrip;
				try {
					v_dame_descrip = Funcion.Crear<__DAME_DESCRIP>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DESCRIP");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_descrip(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DESCRIP");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_DIAS_REAPROVISIONAMIENTO
			
			[Nombre("GAART_PKG.DAME_DIAS_REAPROVISIONAMIENTO")]
						[return: NUMBER]
						public delegate decimal? __DAME_DIAS_REAPROVISIONAMIENTO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_DIAS_REAPROVISIONAMIENTO.
						/// </summary>
			public static decimal? DAME_DIAS_REAPROVISIONAMIENTO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DIAS_REAPROVISIONAMIENTO v_dame_dias_reaprovisionamiento;
				try {
					v_dame_dias_reaprovisionamiento = Funcion.Crear<__DAME_DIAS_REAPROVISIONAMIENTO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DIAS_REAPROVISIONAMIENTO");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_dias_reaprovisionamiento(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DIAS_REAPROVISIONAMIENTO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_DIGITO_CONTROL_EAN13
			
			[Nombre("GAART_PKG.DAME_DIGITO_CONTROL_EAN13")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_DIGITO_CONTROL_EAN13(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_codigo);

						/// <summary>
			/// Llama a DAME_DIGITO_CONTROL_EAN13.
						/// </summary>
			public static string DAME_DIGITO_CONTROL_EAN13(
				System.Data.IDbTransaction p_transaccion, 
				string p_codigo)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DIGITO_CONTROL_EAN13 v_dame_digito_control_ean13;
				try {
					v_dame_digito_control_ean13 = Funcion.Crear<__DAME_DIGITO_CONTROL_EAN13>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DIGITO_CONTROL_EAN13");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_digito_control_ean13(p_transaccion, 
					p_codigo);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DIGITO_CONTROL_EAN13");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_DISPONIBLE_A_UNA_FECHA
			
			[Nombre("GAART_PKG.DAME_DISPONIBLE_A_UNA_FECHA")]
						public delegate void __DAME_DISPONIBLE_A_UNA_FECHA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha, 
							[NUMBER(13, 4)] out decimal? p_c_dispon1, 
							[NUMBER(13, 4)] out decimal? p_c_dispon2);

						/// <summary>
			/// Llama a DAME_DISPONIBLE_A_UNA_FECHA.
						/// </summary>
			public static void DAME_DISPONIBLE_A_UNA_FECHA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha, 
				out decimal? p_c_dispon1, 
				out decimal? p_c_dispon2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DISPONIBLE_A_UNA_FECHA v_dame_disponible_a_una_fecha;
				try {
					v_dame_disponible_a_una_fecha = Funcion.Crear<__DAME_DISPONIBLE_A_UNA_FECHA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DISPONIBLE_A_UNA_FECHA");
				}
								try {
				v_dame_disponible_a_una_fecha(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha, 
					out p_c_dispon1, 
					out p_c_dispon2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_DISPONIBLE_A_UNA_FECHA");
				}
							}
			
			
			#endregion

					#region DAME_EMP_MASTER
			
			[Nombre("GAART_PKG.DAME_EMP_MASTER")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_EMP_MASTER(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a DAME_EMP_MASTER.
						/// </summary>
			public static string DAME_EMP_MASTER(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_opcion)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_EMP_MASTER v_dame_emp_master;
				try {
					v_dame_emp_master = Funcion.Crear<__DAME_EMP_MASTER>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_EMP_MASTER");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_emp_master(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_EMP_MASTER");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_ENTRAD_SALID_ENTRE_FECHAS
			
			[Nombre("GAART_PKG.DAME_ENTRAD_SALID_ENTRE_FECHAS")]
						public delegate void __DAME_ENTRAD_SALID_ENTRE_FECHAS(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha_desde, 
							[DATE] DateTime? p_fecha_hasta, 
							[NUMBER(13, 4)] out decimal? p_c_ent1, 
							[NUMBER(13, 4)] out decimal? p_c_ent2, 
							[NUMBER(13, 4)] out decimal? p_c_sal1, 
							[NUMBER(13, 4)] out decimal? p_c_sal2);

						/// <summary>
			/// Llama a DAME_ENTRAD_SALID_ENTRE_FECHAS.
						/// </summary>
			public static void DAME_ENTRAD_SALID_ENTRE_FECHAS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha_desde, 
				DateTime? p_fecha_hasta, 
				out decimal? p_c_ent1, 
				out decimal? p_c_ent2, 
				out decimal? p_c_sal1, 
				out decimal? p_c_sal2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_ENTRAD_SALID_ENTRE_FECHAS v_dame_entrad_salid_entre_fechas;
				try {
					v_dame_entrad_salid_entre_fechas = Funcion.Crear<__DAME_ENTRAD_SALID_ENTRE_FECHAS>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_ENTRAD_SALID_ENTRE_FECHAS");
				}
								try {
				v_dame_entrad_salid_entre_fechas(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha_desde, 
					p_fecha_hasta, 
					out p_c_ent1, 
					out p_c_ent2, 
					out p_c_sal1, 
					out p_c_sal2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_ENTRAD_SALID_ENTRE_FECHAS");
				}
							}
			
			
			#endregion

					#region DAME_EXIST_REALES_A_UNA_FECHA
			
			[Nombre("GAART_PKG.DAME_EXIST_REALES_A_UNA_FECHA")]
						public delegate void __DAME_EXIST_REALES_A_UNA_FECHA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha, 
							[NUMBER(13, 4)] out decimal? p_c_exist1, 
							[NUMBER(13, 4)] out decimal? p_c_exist2);

						/// <summary>
			/// Llama a DAME_EXIST_REALES_A_UNA_FECHA.
						/// </summary>
			public static void DAME_EXIST_REALES_A_UNA_FECHA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha, 
				out decimal? p_c_exist1, 
				out decimal? p_c_exist2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_EXIST_REALES_A_UNA_FECHA v_dame_exist_reales_a_una_fecha;
				try {
					v_dame_exist_reales_a_una_fecha = Funcion.Crear<__DAME_EXIST_REALES_A_UNA_FECHA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_EXIST_REALES_A_UNA_FECHA");
				}
								try {
				v_dame_exist_reales_a_una_fecha(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha, 
					out p_c_exist1, 
					out p_c_exist2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_EXIST_REALES_A_UNA_FECHA");
				}
							}
			
			
			#endregion

					#region DAME_FECHA_VIGENCIA
			
			[Nombre("GAART_PKG.DAME_FECHA_VIGENCIA")]
						[return: DATE]
						public delegate DateTime? __DAME_FECHA_VIGENCIA(
							System.Data.IDbTransaction p_transaccion);

						/// <summary>
			/// Llama a DAME_FECHA_VIGENCIA.
						/// </summary>
			public static DateTime? DAME_FECHA_VIGENCIA(
				System.Data.IDbTransaction p_transaccion)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_FECHA_VIGENCIA v_dame_fecha_vigencia;
				try {
					v_dame_fecha_vigencia = Funcion.Crear<__DAME_FECHA_VIGENCIA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_FECHA_VIGENCIA");
				}
									DateTime? v_resultado;
								try {
				v_resultado = v_dame_fecha_vigencia(p_transaccion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_FECHA_VIGENCIA");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GAALMNOM_DEF
			
			[Nombre("GAART_PKG.DAME_GAALMNOM_DEF")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_GAALMNOM_DEF(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_GAALMNOM_DEF.
						/// </summary>
			public static string DAME_GAALMNOM_DEF(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GAALMNOM_DEF v_dame_gaalmnom_def;
				try {
					v_dame_gaalmnom_def = Funcion.Crear<__DAME_GAALMNOM_DEF>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAALMNOM_DEF");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_gaalmnom_def(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAALMNOM_DEF");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GAALM_SN
			
			[Nombre("GAART_PKG.DAME_GAALM_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_GAALM_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_GAALM_SN.
						/// </summary>
			public static string DAME_GAALM_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GAALM_SN v_dame_gaalm_sn;
				try {
					v_dame_gaalm_sn = Funcion.Crear<__DAME_GAALM_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAALM_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_gaalm_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAALM_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GACODBAR_COD
			
			[Nombre("GAART_PKG.DAME_GACODBAR_COD")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_GACODBAR_COD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(6)] string p_gacodtip_cod, 
							[VARCHAR2(1)] string p_num_sn, 
							[NUMBER(2)] int? p_n_digitos, 
							[VARCHAR2(1)] string p_agrupacion);

						/// <summary>
			/// Llama a DAME_GACODBAR_COD.
						/// </summary>
			public static string DAME_GACODBAR_COD(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gacodtip_cod, 
				string p_num_sn, 
				int? p_n_digitos, 
				string p_agrupacion)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GACODBAR_COD v_dame_gacodbar_cod;
				try {
					v_dame_gacodbar_cod = Funcion.Crear<__DAME_GACODBAR_COD>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GACODBAR_COD");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_gacodbar_cod(p_transaccion, 
					p_empgrupo_cod, 
					p_gacodtip_cod, 
					p_num_sn, 
					p_n_digitos, 
					p_agrupacion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GACODBAR_COD");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_GAUNITIP_PR
			
			[Nombre("GAART_PKG.DAME_GAUNITIP_PR")]
						[return: VARCHAR2(4)]
						public delegate string __DAME_GAUNITIP_PR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(1)] string p_tip_vc, 
							[NUMBER(8)] int? p_ggclipr_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_GAUNITIP_PR.
						/// </summary>
			public static string DAME_GAUNITIP_PR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_tip_vc, 
				int? p_ggclipr_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_GAUNITIP_PR v_dame_gaunitip_pr;
				try {
					v_dame_gaunitip_pr = Funcion.Crear<__DAME_GAUNITIP_PR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAUNITIP_PR");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_gaunitip_pr(p_transaccion, 
					p_empgrupo_cod, 
					p_tip_vc, 
					p_ggclipr_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_GAUNITIP_PR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_LISTA_GACODTIP_OBLIG
			
			[Nombre("GAART_PKG.DAME_LISTA_GACODTIP_OBLIG")]
						[return: VARCHAR2(4000)]
						public delegate string __DAME_LISTA_GACODTIP_OBLIG(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4000)] string p_opcion, 
							[NUMBER] decimal? p_id_listparam);

						/// <summary>
			/// Llama a DAME_LISTA_GACODTIP_OBLIG.
						/// </summary>
			public static string DAME_LISTA_GACODTIP_OBLIG(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				DateTime? p_fecha, 
				string p_opcion, 
				decimal? p_id_listparam)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_LISTA_GACODTIP_OBLIG v_dame_lista_gacodtip_oblig;
				try {
					v_dame_lista_gacodtip_oblig = Funcion.Crear<__DAME_LISTA_GACODTIP_OBLIG>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_LISTA_GACODTIP_OBLIG");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_lista_gacodtip_oblig(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_fecha, 
					p_opcion, 
					p_id_listparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_LISTA_GACODTIP_OBLIG");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_LOTES_SN
			
			[Nombre("GAART_PKG.DAME_LOTES_SN")]
						[return: VARCHAR2(1)]
						public delegate string __DAME_LOTES_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_cod);

						/// <summary>
			/// Llama a DAME_LOTES_SN.
						/// </summary>
			public static string DAME_LOTES_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_LOTES_SN v_dame_lotes_sn;
				try {
					v_dame_lotes_sn = Funcion.Crear<__DAME_LOTES_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_LOTES_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_lotes_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_LOTES_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_NUM_GAARTEQUIV
			
			[Nombre("GAART_PKG.DAME_NUM_GAARTEQUIV")]
						[return: NUMBER]
						public delegate decimal? __DAME_NUM_GAARTEQUIV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[DATE] DateTime? p_fecha);

						/// <summary>
			/// Llama a DAME_NUM_GAARTEQUIV.
						/// </summary>
			public static decimal? DAME_NUM_GAARTEQUIV(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				DateTime? p_fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_NUM_GAARTEQUIV v_dame_num_gaartequiv;
				try {
					v_dame_num_gaartequiv = Funcion.Crear<__DAME_NUM_GAARTEQUIV>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_NUM_GAARTEQUIV");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_num_gaartequiv(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_NUM_GAARTEQUIV");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_NUM_GACODBAR
			
			[Nombre("GAART_PKG.DAME_NUM_GACODBAR")]
						[return: NUMBER]
						public delegate decimal? __DAME_NUM_GACODBAR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gacodbar_cod, 
							[DATE] DateTime? p_fecha);

						/// <summary>
			/// Llama a DAME_NUM_GACODBAR.
						/// </summary>
			public static decimal? DAME_NUM_GACODBAR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gacodbar_cod, 
				DateTime? p_fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_NUM_GACODBAR v_dame_num_gacodbar;
				try {
					v_dame_num_gacodbar = Funcion.Crear<__DAME_NUM_GACODBAR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_NUM_GACODBAR");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_num_gacodbar(p_transaccion, 
					p_empgrupo_cod, 
					p_gacodbar_cod, 
					p_fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_NUM_GACODBAR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_PEDIDO_RESERVADO_A_FECHA
			
			[Nombre("GAART_PKG.DAME_PEDIDO_RESERVADO_A_FECHA")]
						public delegate void __DAME_PEDIDO_RESERVADO_A_FECHA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha_desde, 
							[DATE] DateTime? p_fecha_hasta, 
							[NUMBER(13, 4)] out decimal? p_c_totped1, 
							[NUMBER(13, 4)] out decimal? p_c_totped2, 
							[NUMBER(13, 4)] out decimal? p_c_totres1, 
							[NUMBER(13, 4)] out decimal? p_c_totres2);

						/// <summary>
			/// Llama a DAME_PEDIDO_RESERVADO_A_FECHA.
						/// </summary>
			public static void DAME_PEDIDO_RESERVADO_A_FECHA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha_desde, 
				DateTime? p_fecha_hasta, 
				out decimal? p_c_totped1, 
				out decimal? p_c_totped2, 
				out decimal? p_c_totres1, 
				out decimal? p_c_totres2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_PEDIDO_RESERVADO_A_FECHA v_dame_pedido_reservado_a_fecha;
				try {
					v_dame_pedido_reservado_a_fecha = Funcion.Crear<__DAME_PEDIDO_RESERVADO_A_FECHA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PEDIDO_RESERVADO_A_FECHA");
				}
								try {
				v_dame_pedido_reservado_a_fecha(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha_desde, 
					p_fecha_hasta, 
					out p_c_totped1, 
					out p_c_totped2, 
					out p_c_totres1, 
					out p_c_totres2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PEDIDO_RESERVADO_A_FECHA");
				}
							}
			
			
			#endregion

					#region DAME_PRECIO_MEDIO
			
			[Nombre("GAART_PKG.DAME_PRECIO_MEDIO")]
						[return: NUMBER]
						public delegate decimal? __DAME_PRECIO_MEDIO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha);

						/// <summary>
			/// Llama a DAME_PRECIO_MEDIO.
						/// </summary>
			public static decimal? DAME_PRECIO_MEDIO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_PRECIO_MEDIO v_dame_precio_medio;
				try {
					v_dame_precio_medio = Funcion.Crear<__DAME_PRECIO_MEDIO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PRECIO_MEDIO");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_precio_medio(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PRECIO_MEDIO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_PRECIO_MEDIO_UNIPR
			
			[Nombre("GAART_PKG.DAME_PRECIO_MEDIO_UNIPR")]
						[return: NUMBER]
						public delegate decimal? __DAME_PRECIO_MEDIO_UNIPR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4)] string p_monedas_cod, 
							[VARCHAR2(4)] string p_gaunitip_uni1, 
							[VARCHAR2(4)] string p_gaunitip_pr);

						/// <summary>
			/// Llama a DAME_PRECIO_MEDIO_UNIPR.
						/// </summary>
			public static decimal? DAME_PRECIO_MEDIO_UNIPR(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				DateTime? p_fecha, 
				string p_monedas_cod, 
				string p_gaunitip_uni1, 
				string p_gaunitip_pr)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_PRECIO_MEDIO_UNIPR v_dame_precio_medio_unipr;
				try {
					v_dame_precio_medio_unipr = Funcion.Crear<__DAME_PRECIO_MEDIO_UNIPR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PRECIO_MEDIO_UNIPR");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_precio_medio_unipr(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_fecha, 
					p_monedas_cod, 
					p_gaunitip_uni1, 
					p_gaunitip_pr);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PRECIO_MEDIO_UNIPR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_PROVEEDOR_HABITUAL
			
			[Nombre("GAART_PKG.DAME_PROVEEDOR_HABITUAL")]
						[return: NUMBER]
						public delegate decimal? __DAME_PROVEEDOR_HABITUAL(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DAME_PROVEEDOR_HABITUAL.
						/// </summary>
			public static decimal? DAME_PROVEEDOR_HABITUAL(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_PROVEEDOR_HABITUAL v_dame_proveedor_habitual;
				try {
					v_dame_proveedor_habitual = Funcion.Crear<__DAME_PROVEEDOR_HABITUAL>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PROVEEDOR_HABITUAL");
				}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_proveedor_habitual(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_PROVEEDOR_HABITUAL");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_STOCK_MINIMO
			
			[Nombre("GAART_PKG.DAME_STOCK_MINIMO")]
						public delegate void __DAME_STOCK_MINIMO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[VARCHAR2(4000)] string p_buscar_unidad2, 
							[NUMBER(13, 4)] out decimal? p_c_stockmin_uni1, 
							[NUMBER(13, 4)] out decimal? p_c_stockmin_uni2);

						/// <summary>
			/// Llama a DAME_STOCK_MINIMO.
						/// </summary>
			public static void DAME_STOCK_MINIMO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				string p_buscar_unidad2, 
				out decimal? p_c_stockmin_uni1, 
				out decimal? p_c_stockmin_uni2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_STOCK_MINIMO v_dame_stock_minimo;
				try {
					v_dame_stock_minimo = Funcion.Crear<__DAME_STOCK_MINIMO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_STOCK_MINIMO");
				}
								try {
				v_dame_stock_minimo(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_buscar_unidad2, 
					out p_c_stockmin_uni1, 
					out p_c_stockmin_uni2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_STOCK_MINIMO");
				}
							}
			
			
			#endregion

					#region DAME_STOCK_REAPROVISIONAMIENTO
			
			[Nombre("GAART_PKG.DAME_STOCK_REAPROVISIONAMIENTO")]
						public delegate void __DAME_STOCK_REAPROVISIONAMIENTO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(6)] string p_gaalmnom_cod, 
							[VARCHAR2(4000)] string p_buscar_unidad2, 
							[NUMBER(13, 4)] out decimal? p_c_stockreapr_uni1, 
							[NUMBER(13, 4)] out decimal? p_c_stockreapr_uni2);

						/// <summary>
			/// Llama a DAME_STOCK_REAPROVISIONAMIENTO.
						/// </summary>
			public static void DAME_STOCK_REAPROVISIONAMIENTO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_gaalmnom_cod, 
				string p_buscar_unidad2, 
				out decimal? p_c_stockreapr_uni1, 
				out decimal? p_c_stockreapr_uni2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_STOCK_REAPROVISIONAMIENTO v_dame_stock_reaprovisionamiento;
				try {
					v_dame_stock_reaprovisionamiento = Funcion.Crear<__DAME_STOCK_REAPROVISIONAMIENTO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_STOCK_REAPROVISIONAMIENTO");
				}
								try {
				v_dame_stock_reaprovisionamiento(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_gaalmnom_cod, 
					p_buscar_unidad2, 
					out p_c_stockreapr_uni1, 
					out p_c_stockreapr_uni2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_STOCK_REAPROVISIONAMIENTO");
				}
							}
			
			
			#endregion

					#region DAME_UBIC_SN
			
			[Nombre("GAART_PKG.DAME_UBIC_SN")]
						[return: VARCHAR2(1)]
						public delegate string __DAME_UBIC_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_cod);

						/// <summary>
			/// Llama a DAME_UBIC_SN.
						/// </summary>
			public static string DAME_UBIC_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_UBIC_SN v_dame_ubic_sn;
				try {
					v_dame_ubic_sn = Funcion.Crear<__DAME_UBIC_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UBIC_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dame_ubic_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UBIC_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_UNIDADES_ARTICULO
			
			[Nombre("GAART_PKG.DAME_UNIDADES_ARTICULO")]
						public delegate void __DAME_UNIDADES_ARTICULO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_grupo, 
							[VARCHAR2(20)] string v_gaart, 
							[VARCHAR2(4)] out string v_uni1, 
							[VARCHAR2(4)] out string v_uni2);

						/// <summary>
			/// Llama a DAME_UNIDADES_ARTICULO.
						/// </summary>
			public static void DAME_UNIDADES_ARTICULO(
				System.Data.IDbTransaction p_transaccion, 
				string v_grupo, 
				string v_gaart, 
				out string v_uni1, 
				out string v_uni2)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_UNIDADES_ARTICULO v_dame_unidades_articulo;
				try {
					v_dame_unidades_articulo = Funcion.Crear<__DAME_UNIDADES_ARTICULO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UNIDADES_ARTICULO");
				}
								try {
				v_dame_unidades_articulo(p_transaccion, 
					v_grupo, 
					v_gaart, 
					out v_uni1, 
					out v_uni2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UNIDADES_ARTICULO");
				}
							}
			
			
			#endregion

					#region DAME_UNIDADES_EXPED_PRESEN_PR
			
			[Nombre("GAART_PKG.DAME_UNIDADES_EXPED_PRESEN_PR")]
						public delegate void __DAME_UNIDADES_EXPED_PRESEN_PR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string v_empgrupo_cod, 
							[VARCHAR2(1)] string v_tip_vc, 
							[NUMBER(8)] int? v_ggclipr_cod, 
							[VARCHAR2(20)] string v_gaart_cod, 
							[VARCHAR2(4)] out string p_gaunitip_exped, 
							[VARCHAR2(4)] out string p_gaunitip_presen, 
							[VARCHAR2(4)] out string p_gaunitip_pr);

						/// <summary>
			/// Llama a DAME_UNIDADES_EXPED_PRESEN_PR.
						/// </summary>
			public static void DAME_UNIDADES_EXPED_PRESEN_PR(
				System.Data.IDbTransaction p_transaccion, 
				string v_empgrupo_cod, 
				string v_tip_vc, 
				int? v_ggclipr_cod, 
				string v_gaart_cod, 
				out string p_gaunitip_exped, 
				out string p_gaunitip_presen, 
				out string p_gaunitip_pr)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_UNIDADES_EXPED_PRESEN_PR v_dame_unidades_exped_presen_pr;
				try {
					v_dame_unidades_exped_presen_pr = Funcion.Crear<__DAME_UNIDADES_EXPED_PRESEN_PR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UNIDADES_EXPED_PRESEN_PR");
				}
								try {
				v_dame_unidades_exped_presen_pr(p_transaccion, 
					v_empgrupo_cod, 
					v_tip_vc, 
					v_ggclipr_cod, 
					v_gaart_cod, 
					out p_gaunitip_exped, 
					out p_gaunitip_presen, 
					out p_gaunitip_pr);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_UNIDADES_EXPED_PRESEN_PR");
				}
							}
			
			
			#endregion

					#region DAME_WHERE_ARTICULO_CORRECTO
			
			[Nombre("GAART_PKG.DAME_WHERE_ARTICULO_CORRECTO")]
						public delegate void __DAME_WHERE_ARTICULO_CORRECTO(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lisparam);

						/// <summary>
			/// Llama a DAME_WHERE_ARTICULO_CORRECTO.
						/// </summary>
			public static void DAME_WHERE_ARTICULO_CORRECTO(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_WHERE_ARTICULO_CORRECTO v_dame_where_articulo_correcto;
				try {
					v_dame_where_articulo_correcto = Funcion.Crear<__DAME_WHERE_ARTICULO_CORRECTO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_WHERE_ARTICULO_CORRECTO");
				}
								try {
				v_dame_where_articulo_correcto(p_transaccion, 
					p_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DAME_WHERE_ARTICULO_CORRECTO");
				}
							}
			
			
			#endregion

					#region DIME_SI_ARTICULO_CORRECTO
			
			[Nombre("GAART_PKG.DIME_SI_ARTICULO_CORRECTO")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_ARTICULO_CORRECTO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(40)] string p_descrip, 
							[VARCHAR2(4)] string p_emp_master, 
							[DATE] DateTime? p_f_vigencia, 
							[DATE] DateTime? p_f_baja, 
							[VARCHAR2(20)] string p_gaart_cod_desde, 
							[VARCHAR2(20)] string p_gaart_cod_hasta, 
							[VARCHAR2(40)] string p_descrip_desde, 
							[VARCHAR2(40)] string p_descrip_hasta, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_controlar_asterisco, 
							[VARCHAR2(4000)] string p_controlar_emp_master, 
							[VARCHAR2(4000)] string p_controlar_f_vigencia_sn, 
							[VARCHAR2(4000)] string p_controlar_f_baja_sn);

						/// <summary>
			/// Llama a DIME_SI_ARTICULO_CORRECTO.
						/// </summary>
			public static string DIME_SI_ARTICULO_CORRECTO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_descrip, 
				string p_emp_master, 
				DateTime? p_f_vigencia, 
				DateTime? p_f_baja, 
				string p_gaart_cod_desde, 
				string p_gaart_cod_hasta, 
				string p_descrip_desde, 
				string p_descrip_hasta, 
				DateTime? p_fecha, 
				string p_emp_cod, 
				string p_controlar_asterisco, 
				string p_controlar_emp_master, 
				string p_controlar_f_vigencia_sn, 
				string p_controlar_f_baja_sn)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_ARTICULO_CORRECTO v_dime_si_articulo_correcto;
				try {
					v_dime_si_articulo_correcto = Funcion.Crear<__DIME_SI_ARTICULO_CORRECTO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_ARTICULO_CORRECTO");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_articulo_correcto(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_descrip, 
					p_emp_master, 
					p_f_vigencia, 
					p_f_baja, 
					p_gaart_cod_desde, 
					p_gaart_cod_hasta, 
					p_descrip_desde, 
					p_descrip_hasta, 
					p_fecha, 
					p_emp_cod, 
					p_controlar_asterisco, 
					p_controlar_emp_master, 
					p_controlar_f_vigencia_sn, 
					p_controlar_f_baja_sn);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_ARTICULO_CORRECTO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_EXISTE_ARTICULO
			
			[Nombre("GAART_PKG.DIME_SI_EXISTE_ARTICULO")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_EXISTE_ARTICULO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a DIME_SI_EXISTE_ARTICULO.
						/// </summary>
			public static string DIME_SI_EXISTE_ARTICULO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_EXISTE_ARTICULO v_dime_si_existe_articulo;
				try {
					v_dime_si_existe_articulo = Funcion.Crear<__DIME_SI_EXISTE_ARTICULO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_EXISTE_ARTICULO");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_existe_articulo(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_EXISTE_ARTICULO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_GAART_CFCTA_CORRECTA
			
			[Nombre("GAART_PKG.DIME_SI_GAART_CFCTA_CORRECTA")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_GAART_CFCTA_CORRECTA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(15)] string p_cfcta_cod, 
							[DATE] DateTime? p_fecha);

						/// <summary>
			/// Llama a DIME_SI_GAART_CFCTA_CORRECTA.
						/// </summary>
			public static string DIME_SI_GAART_CFCTA_CORRECTA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_cfcta_cod, 
				DateTime? p_fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_GAART_CFCTA_CORRECTA v_dime_si_gaart_cfcta_correcta;
				try {
					v_dime_si_gaart_cfcta_correcta = Funcion.Crear<__DIME_SI_GAART_CFCTA_CORRECTA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_GAART_CFCTA_CORRECTA");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_gaart_cfcta_correcta(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_cfcta_cod, 
					p_fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_GAART_CFCTA_CORRECTA");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_GAESTRU_SN
			
			[Nombre("GAART_PKG.DIME_SI_GAESTRU_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_GAESTRU_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[DATE] DateTime? p_fecha, 
							[NUMBER] decimal? p_opcion);

						/// <summary>
			/// Llama a DIME_SI_GAESTRU_SN.
						/// </summary>
			public static string DIME_SI_GAESTRU_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				DateTime? p_fecha, 
				decimal? p_opcion)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_GAESTRU_SN v_dime_si_gaestru_sn;
				try {
					v_dime_si_gaestru_sn = Funcion.Crear<__DIME_SI_GAESTRU_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_GAESTRU_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_gaestru_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_fecha, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_GAESTRU_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region DIME_SI_KIT_RESERVA_SN
			
			[Nombre("GAART_PKG.DIME_SI_KIT_RESERVA_SN")]
						public delegate void __DIME_SI_KIT_RESERVA_SN(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_id_lisparam);

						/// <summary>
			/// Llama a DIME_SI_KIT_RESERVA_SN.
						/// </summary>
			public static void DIME_SI_KIT_RESERVA_SN(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_id_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_KIT_RESERVA_SN v_dime_si_kit_reserva_sn;
				try {
					v_dime_si_kit_reserva_sn = Funcion.Crear<__DIME_SI_KIT_RESERVA_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_KIT_RESERVA_SN");
				}
								try {
				v_dime_si_kit_reserva_sn(p_transaccion, 
					p_id_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_KIT_RESERVA_SN");
				}
							}
			
			
			#endregion

					#region DIME_SI_VIGENTE_SN
			
			[Nombre("GAART_PKG.DIME_SI_VIGENTE_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __DIME_SI_VIGENTE_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[DATE] DateTime? p_fecha);

						/// <summary>
			/// Llama a DIME_SI_VIGENTE_SN.
						/// </summary>
			public static string DIME_SI_VIGENTE_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				DateTime? p_fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__DIME_SI_VIGENTE_SN v_dime_si_vigente_sn;
				try {
					v_dime_si_vigente_sn = Funcion.Crear<__DIME_SI_VIGENTE_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_VIGENTE_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_dime_si_vigente_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.DIME_SI_VIGENTE_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ESTA_ACABADA_LA_SERIE
			
			[Nombre("GAART_PKG.ESTA_ACABADA_LA_SERIE")]
						[return: VARCHAR2(4000)]
						public delegate string __ESTA_ACABADA_LA_SERIE(
							System.Data.IDbTransaction p_transaccion);

						/// <summary>
			/// Llama a ESTA_ACABADA_LA_SERIE.
						/// </summary>
			public static string ESTA_ACABADA_LA_SERIE(
				System.Data.IDbTransaction p_transaccion)
			{
				var v_conexion = p_transaccion.Connection;
				__ESTA_ACABADA_LA_SERIE v_esta_acabada_la_serie;
				try {
					v_esta_acabada_la_serie = Funcion.Crear<__ESTA_ACABADA_LA_SERIE>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ESTA_ACABADA_LA_SERIE");
				}
									string v_resultado;
								try {
				v_resultado = v_esta_acabada_la_serie(p_transaccion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ESTA_ACABADA_LA_SERIE");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region ES_ARTICULO_GENERICO_SN
			
			[Nombre("GAART_PKG.ES_ARTICULO_GENERICO_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_ARTICULO_GENERICO_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a ES_ARTICULO_GENERICO_SN.
						/// </summary>
			public static string ES_ARTICULO_GENERICO_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_ARTICULO_GENERICO_SN v_es_articulo_generico_sn;
				try {
					v_es_articulo_generico_sn = Funcion.Crear<__ES_ARTICULO_GENERICO_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ES_ARTICULO_GENERICO_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_es_articulo_generico_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.ES_ARTICULO_GENERICO_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region EXISTE_NULO_PARAMETRO
			
			[Nombre("GAART_PKG.EXISTE_NULO_PARAMETRO")]
						[return: VARCHAR2(4000)]
						public delegate string __EXISTE_NULO_PARAMETRO(
							System.Data.IDbTransaction p_transaccion);

						/// <summary>
			/// Llama a EXISTE_NULO_PARAMETRO.
						/// </summary>
			public static string EXISTE_NULO_PARAMETRO(
				System.Data.IDbTransaction p_transaccion)
			{
				var v_conexion = p_transaccion.Connection;
				__EXISTE_NULO_PARAMETRO v_existe_nulo_parametro;
				try {
					v_existe_nulo_parametro = Funcion.Crear<__EXISTE_NULO_PARAMETRO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.EXISTE_NULO_PARAMETRO");
				}
									string v_resultado;
								try {
				v_resultado = v_existe_nulo_parametro(p_transaccion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.EXISTE_NULO_PARAMETRO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GAART_AR_TRG_PKG
			
			[Nombre("GAART_PKG.GAART_AR_TRG_PKG")]
						public delegate void __GAART_AR_TRG_PKG(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string modo, 
							[VARCHAR2(4)] string new_empgrupo_cod, 
							[VARCHAR2(20)] string new_cod, 
							[VARCHAR2(40)] string new_descrip, 
							[VARCHAR2(2)] string new_cfivatip_cod, 
							[DATE] DateTime? new_f_vigencia, 
							[DATE] DateTime? new_f_baja, 
							[VARCHAR2(1)] string new_gaalm_sn, 
							[VARCHAR2(4)] string new_empgrupo_opc, 
							[VARCHAR2(4)] string new_emp_master, 
							[VARCHAR2(1)] string new_lotes_sn, 
							[VARCHAR2(1)] string new_hist_sn, 
							[VARCHAR2(30)] string new_usrnom_cre, 
							[VARCHAR2(30)] string new_usrnom_mod, 
							[DATE] DateTime? new_f_creacion, 
							[DATE] DateTime? new_f_modificacion, 
							[VARCHAR2(4)] string old_empgrupo_cod, 
							[VARCHAR2(20)] string old_cod, 
							[VARCHAR2(40)] string old_descrip, 
							[VARCHAR2(2)] string old_cfivatip_cod, 
							[DATE] DateTime? old_f_vigencia, 
							[DATE] DateTime? old_f_baja, 
							[VARCHAR2(1)] string old_gaalm_sn, 
							[VARCHAR2(4)] string old_empgrupo_opc, 
							[VARCHAR2(4)] string old_emp_master, 
							[VARCHAR2(1)] string old_lotes_sn, 
							[VARCHAR2(1)] string old_hist_sn, 
							[VARCHAR2(30)] string old_usrnom_cre, 
							[VARCHAR2(30)] string old_usrnom_mod, 
							[DATE] DateTime? old_f_creacion, 
							[DATE] DateTime? old_f_modificacion);

						/// <summary>
			/// Llama a GAART_AR_TRG_PKG.
						/// </summary>
			public static void GAART_AR_TRG_PKG(
				System.Data.IDbTransaction p_transaccion, 
				string modo, 
				string new_empgrupo_cod, 
				string new_cod, 
				string new_descrip, 
				string new_cfivatip_cod, 
				DateTime? new_f_vigencia, 
				DateTime? new_f_baja, 
				string new_gaalm_sn, 
				string new_empgrupo_opc, 
				string new_emp_master, 
				string new_lotes_sn, 
				string new_hist_sn, 
				string new_usrnom_cre, 
				string new_usrnom_mod, 
				DateTime? new_f_creacion, 
				DateTime? new_f_modificacion, 
				string old_empgrupo_cod, 
				string old_cod, 
				string old_descrip, 
				string old_cfivatip_cod, 
				DateTime? old_f_vigencia, 
				DateTime? old_f_baja, 
				string old_gaalm_sn, 
				string old_empgrupo_opc, 
				string old_emp_master, 
				string old_lotes_sn, 
				string old_hist_sn, 
				string old_usrnom_cre, 
				string old_usrnom_mod, 
				DateTime? old_f_creacion, 
				DateTime? old_f_modificacion)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_AR_TRG_PKG v_gaart_ar_trg_pkg;
				try {
					v_gaart_ar_trg_pkg = Funcion.Crear<__GAART_AR_TRG_PKG>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_AR_TRG_PKG");
				}
								try {
				v_gaart_ar_trg_pkg(p_transaccion, 
					modo, 
					new_empgrupo_cod, 
					new_cod, 
					new_descrip, 
					new_cfivatip_cod, 
					new_f_vigencia, 
					new_f_baja, 
					new_gaalm_sn, 
					new_empgrupo_opc, 
					new_emp_master, 
					new_lotes_sn, 
					new_hist_sn, 
					new_usrnom_cre, 
					new_usrnom_mod, 
					new_f_creacion, 
					new_f_modificacion, 
					old_empgrupo_cod, 
					old_cod, 
					old_descrip, 
					old_cfivatip_cod, 
					old_f_vigencia, 
					old_f_baja, 
					old_gaalm_sn, 
					old_empgrupo_opc, 
					old_emp_master, 
					old_lotes_sn, 
					old_hist_sn, 
					old_usrnom_cre, 
					old_usrnom_mod, 
					old_f_creacion, 
					old_f_modificacion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_AR_TRG_PKG");
				}
							}
			
			
			#endregion

					#region GAART_AS_TRG_PKG
			
			[Nombre("GAART_PKG.GAART_AS_TRG_PKG")]
						public delegate void __GAART_AS_TRG_PKG(
							System.Data.IDbTransaction p_transaccion);

						/// <summary>
			/// Llama a GAART_AS_TRG_PKG.
						/// </summary>
			public static void GAART_AS_TRG_PKG(
				System.Data.IDbTransaction p_transaccion)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_AS_TRG_PKG v_gaart_as_trg_pkg;
				try {
					v_gaart_as_trg_pkg = Funcion.Crear<__GAART_AS_TRG_PKG>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_AS_TRG_PKG");
				}
								try {
				v_gaart_as_trg_pkg(p_transaccion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_AS_TRG_PKG");
				}
							}
			
			
			#endregion

					#region GAART_CUMPLE_GACLASIF_PARAM_SN
			
			[Nombre("GAART_PKG.GAART_CUMPLE_GACLASIF_PARAM_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __GAART_CUMPLE_GACLASIF_PARAM_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(30)] string p_nombre_param_gaclatip, 
							[VARCHAR2(400)] string p_valor_param_gaclatip, 
							[VARCHAR2(30)] string p_nombre_param_gaclasif, 
							[VARCHAR2(400)] string p_valor_param_gaclasif);

						/// <summary>
			/// Llama a GAART_CUMPLE_GACLASIF_PARAM_SN.
						/// </summary>
			public static string GAART_CUMPLE_GACLASIF_PARAM_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_nombre_param_gaclatip, 
				string p_valor_param_gaclatip, 
				string p_nombre_param_gaclasif, 
				string p_valor_param_gaclasif)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_CUMPLE_GACLASIF_PARAM_SN v_gaart_cumple_gaclasif_param_sn;
				try {
					v_gaart_cumple_gaclasif_param_sn = Funcion.Crear<__GAART_CUMPLE_GACLASIF_PARAM_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_CUMPLE_GACLASIF_PARAM_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_gaart_cumple_gaclasif_param_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_nombre_param_gaclatip, 
					p_valor_param_gaclatip, 
					p_nombre_param_gaclasif, 
					p_valor_param_gaclasif);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_CUMPLE_GACLASIF_PARAM_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GAART_GACODBAR_ALTERNATIVO
			
			[Nombre("GAART_PKG.GAART_GACODBAR_ALTERNATIVO")]
						[return: VARCHAR2(4000)]
						public delegate string __GAART_GACODBAR_ALTERNATIVO(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string elcodigo, 
							[VARCHAR2(4)] string grupo);

						/// <summary>
			/// Llama a GAART_GACODBAR_ALTERNATIVO.
						/// </summary>
			public static string GAART_GACODBAR_ALTERNATIVO(
				System.Data.IDbTransaction p_transaccion, 
				string elcodigo, 
				string grupo)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_GACODBAR_ALTERNATIVO v_gaart_gacodbar_alternativo;
				try {
					v_gaart_gacodbar_alternativo = Funcion.Crear<__GAART_GACODBAR_ALTERNATIVO>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO");
				}
									string v_resultado;
								try {
				v_resultado = v_gaart_gacodbar_alternativo(p_transaccion, 
					elcodigo, 
					grupo);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GAART_GACODBAR_ALTERNATIVO_2
			
			[Nombre("GAART_PKG.GAART_GACODBAR_ALTERNATIVO_2")]
						[return: VARCHAR2(4000)]
						public delegate string __GAART_GACODBAR_ALTERNATIVO_2(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string elcodigo, 
							[VARCHAR2(4)] string grupo, 
							[DATE] DateTime? fecha);

						/// <summary>
			/// Llama a GAART_GACODBAR_ALTERNATIVO_2.
						/// </summary>
			public static string GAART_GACODBAR_ALTERNATIVO_2(
				System.Data.IDbTransaction p_transaccion, 
				string elcodigo, 
				string grupo, 
				DateTime? fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_GACODBAR_ALTERNATIVO_2 v_gaart_gacodbar_alternativo_2;
				try {
					v_gaart_gacodbar_alternativo_2 = Funcion.Crear<__GAART_GACODBAR_ALTERNATIVO_2>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO_2");
				}
									string v_resultado;
								try {
				v_resultado = v_gaart_gacodbar_alternativo_2(p_transaccion, 
					elcodigo, 
					grupo, 
					fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO_2");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region GAART_GACODBAR_ALTERNATIVO_DOC
			
			[Nombre("GAART_PKG.GAART_GACODBAR_ALTERNATIVO_DOC")]
						public delegate void __GAART_GACODBAR_ALTERNATIVO_DOC(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gacodbar_cod, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(6)] out string p_gacodtip_cod, 
							[VARCHAR2(20)] out string p_gaart_cod, 
							[VARCHAR2(4)] out string p_gaunitip_pr);

						/// <summary>
			/// Llama a GAART_GACODBAR_ALTERNATIVO_DOC.
						/// </summary>
			public static void GAART_GACODBAR_ALTERNATIVO_DOC(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gacodbar_cod, 
				DateTime? p_fecha, 
				out string p_gacodtip_cod, 
				out string p_gaart_cod, 
				out string p_gaunitip_pr)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_GACODBAR_ALTERNATIVO_DOC v_gaart_gacodbar_alternativo_doc;
				try {
					v_gaart_gacodbar_alternativo_doc = Funcion.Crear<__GAART_GACODBAR_ALTERNATIVO_DOC>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO_DOC");
				}
								try {
				v_gaart_gacodbar_alternativo_doc(p_transaccion, 
					p_empgrupo_cod, 
					p_gacodbar_cod, 
					p_fecha, 
					out p_gacodtip_cod, 
					out p_gaart_cod, 
					out p_gaunitip_pr);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_GACODBAR_ALTERNATIVO_DOC");
				}
							}
			
			
			#endregion

					#region GAART_TRATA_GAALM
			
			[Nombre("GAART_PKG.GAART_TRATA_GAALM")]
						public delegate void __GAART_TRATA_GAALM(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a GAART_TRATA_GAALM.
						/// </summary>
			public static void GAART_TRATA_GAALM(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_opcion)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_TRATA_GAALM v_gaart_trata_gaalm;
				try {
					v_gaart_trata_gaalm = Funcion.Crear<__GAART_TRATA_GAALM>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_TRATA_GAALM");
				}
								try {
				v_gaart_trata_gaalm(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_TRATA_GAALM");
				}
							}
			
			
			#endregion

					#region GAART_TRATA_LOTE
			
			[Nombre("GAART_PKG.GAART_TRATA_LOTE")]
						public delegate void __GAART_TRATA_LOTE(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(20)] string p_lote_ori, 
							[VARCHAR2(10)] string p_gaubic_ori, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a GAART_TRATA_LOTE.
						/// </summary>
			public static void GAART_TRATA_LOTE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_lote_ori, 
				string p_gaubic_ori, 
				string p_opcion)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_TRATA_LOTE v_gaart_trata_lote;
				try {
					v_gaart_trata_lote = Funcion.Crear<__GAART_TRATA_LOTE>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_TRATA_LOTE");
				}
								try {
				v_gaart_trata_lote(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_lote_ori, 
					p_gaubic_ori, 
					p_opcion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_TRATA_LOTE");
				}
							}
			
			
			#endregion

					#region GAART_VALIDA
			
			[Nombre("GAART_PKG.GAART_VALIDA")]
						public delegate void __GAART_VALIDA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(40)] string p_descrip, 
							[VARCHAR2(4)] string p_emp_master, 
							[DATE] DateTime? p_f_vigencia, 
							[DATE] DateTime? p_f_baja, 
							[VARCHAR2(20)] string p_gaart_cod_desde, 
							[VARCHAR2(20)] string p_gaart_cod_hasta, 
							[VARCHAR2(40)] string p_descrip_desde, 
							[VARCHAR2(40)] string p_descrip_hasta, 
							[DATE] DateTime? p_fecha, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_controlar_alternativo, 
							[VARCHAR2(4000)] string p_controlar_asterisco, 
							[VARCHAR2(4000)] string p_controlar_emp_master, 
							[VARCHAR2(4000)] string p_controlar_f_vigencia_sn, 
							[VARCHAR2(4000)] string p_controlar_f_baja_sn, 
							[VARCHAR2(20)] out string v_gaart_cod, 
							[VARCHAR2(40)] out string v_descrip, 
							[VARCHAR2(4000)] out string v_error);

						/// <summary>
			/// Llama a GAART_VALIDA.
						/// </summary>
			public static void GAART_VALIDA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod, 
				string p_descrip, 
				string p_emp_master, 
				DateTime? p_f_vigencia, 
				DateTime? p_f_baja, 
				string p_gaart_cod_desde, 
				string p_gaart_cod_hasta, 
				string p_descrip_desde, 
				string p_descrip_hasta, 
				DateTime? p_fecha, 
				string p_emp_cod, 
				string p_controlar_alternativo, 
				string p_controlar_asterisco, 
				string p_controlar_emp_master, 
				string p_controlar_f_vigencia_sn, 
				string p_controlar_f_baja_sn, 
				out string v_gaart_cod, 
				out string v_descrip, 
				out string v_error)
			{
				var v_conexion = p_transaccion.Connection;
				__GAART_VALIDA v_gaart_valida;
				try {
					v_gaart_valida = Funcion.Crear<__GAART_VALIDA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_VALIDA");
				}
								try {
				v_gaart_valida(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod, 
					p_descrip, 
					p_emp_master, 
					p_f_vigencia, 
					p_f_baja, 
					p_gaart_cod_desde, 
					p_gaart_cod_hasta, 
					p_descrip_desde, 
					p_descrip_hasta, 
					p_fecha, 
					p_emp_cod, 
					p_controlar_alternativo, 
					p_controlar_asterisco, 
					p_controlar_emp_master, 
					p_controlar_f_vigencia_sn, 
					p_controlar_f_baja_sn, 
					out v_gaart_cod, 
					out v_descrip, 
					out v_error);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAART_VALIDA");
				}
							}
			
			
			#endregion

					#region GAUNIGRUP_INSERTAR
			
			[Nombre("GAART_PKG.GAUNIGRUP_INSERTAR")]
						[return: ROWID]
						public delegate string __GAUNIGRUP_INSERTAR(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_cod, 
							[VARCHAR2(40)] string p_descrip, 
							[VARCHAR2(1)] string p_exist1_sn, 
							[VARCHAR2(1)] string p_exist2_sn, 
							[VARCHAR2(1)] string p_pr_com12, 
							[VARCHAR2(1)] string p_pr_vta12, 
							[NUMBER(15, 7)] decimal? p_factor12, 
							[VARCHAR2(4)] string p_gaunitip_cod_1, 
							[VARCHAR2(4)] string p_gaunitip_cod_2);

						/// <summary>
			/// Llama a GAUNIGRUP_INSERTAR.
						/// </summary>
			public static string GAUNIGRUP_INSERTAR(
				System.Data.IDbTransaction p_transaccion, 
				string p_cod, 
				string p_descrip, 
				string p_exist1_sn, 
				string p_exist2_sn, 
				string p_pr_com12, 
				string p_pr_vta12, 
				decimal? p_factor12, 
				string p_gaunitip_cod_1, 
				string p_gaunitip_cod_2)
			{
				var v_conexion = p_transaccion.Connection;
				__GAUNIGRUP_INSERTAR v_gaunigrup_insertar;
				try {
					v_gaunigrup_insertar = Funcion.Crear<__GAUNIGRUP_INSERTAR>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAUNIGRUP_INSERTAR");
				}
									string v_resultado;
								try {
				v_resultado = v_gaunigrup_insertar(p_transaccion, 
					p_cod, 
					p_descrip, 
					p_exist1_sn, 
					p_exist2_sn, 
					p_pr_com12, 
					p_pr_vta12, 
					p_factor12, 
					p_gaunitip_cod_1, 
					p_gaunitip_cod_2);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.GAUNIGRUP_INSERTAR");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region KIT_SUSTITUYE_SN
			
			[Nombre("GAART_PKG.KIT_SUSTITUYE_SN")]
						[return: VARCHAR2(4000)]
						public delegate string __KIT_SUSTITUYE_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string grupo, 
							[VARCHAR2(20)] string articulo, 
							[DATE] DateTime? fecha);

						/// <summary>
			/// Llama a KIT_SUSTITUYE_SN.
						/// </summary>
			public static string KIT_SUSTITUYE_SN(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string articulo, 
				DateTime? fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__KIT_SUSTITUYE_SN v_kit_sustituye_sn;
				try {
					v_kit_sustituye_sn = Funcion.Crear<__KIT_SUSTITUYE_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.KIT_SUSTITUYE_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_kit_sustituye_sn(p_transaccion, 
					grupo, 
					articulo, 
					fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.KIT_SUSTITUYE_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region OBTENER_CUENTA_CONTABLE
			
			[Nombre("GAART_PKG.OBTENER_CUENTA_CONTABLE")]
						public delegate void __OBTENER_CUENTA_CONTABLE(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(20)] string p_gaart_cod, 
							[VARCHAR2(4000)] string p_tipo_documento, 
							[VARCHAR2(400)] string p_ggxxxlin_cfcta_gaclatip, 
							[VARCHAR2(400)] string p_gsxxxx_avisar_cta_erronea_sn, 
							[VARCHAR2(15)] ref string p_cfcta_cod, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a OBTENER_CUENTA_CONTABLE.
							/// AVISO: El último parámetro parece un mensaje a controlar en caso de que
				/// produzca una situación de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parámetro p_mensaje_error) para que se eleve una excepción de forma automática.
						/// </summary>
			public static void OBTENER_CUENTA_CONTABLE(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_gaart_cod, 
				string p_tipo_documento, 
				string p_ggxxxlin_cfcta_gaclatip, 
				string p_gsxxxx_avisar_cta_erronea_sn, 
				ref string p_cfcta_cod, 
				out string p_mensaje_error)
			{
				var v_conexion = p_transaccion.Connection;
				__OBTENER_CUENTA_CONTABLE v_obtener_cuenta_contable;
				try {
					v_obtener_cuenta_contable = Funcion.Crear<__OBTENER_CUENTA_CONTABLE>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.OBTENER_CUENTA_CONTABLE");
				}
								try {
				v_obtener_cuenta_contable(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_gaart_cod, 
					p_tipo_documento, 
					p_ggxxxlin_cfcta_gaclatip, 
					p_gsxxxx_avisar_cta_erronea_sn, 
					ref p_cfcta_cod, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.OBTENER_CUENTA_CONTABLE");
				}
							}
			
							/// <summary>
				/// Llama a OBTENER_CUENTA_CONTABLE y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void OBTENER_CUENTA_CONTABLE(
					System.Data.IDbTransaction p_transaccion, 
					[VARCHAR2(4)] string p_empgrupo_cod, 
					[VARCHAR2(4)] string p_emp_cod, 
					[VARCHAR2(20)] string p_gaart_cod, 
					[VARCHAR2(4000)] string p_tipo_documento, 
					[VARCHAR2(400)] string p_ggxxxlin_cfcta_gaclatip, 
					[VARCHAR2(400)] string p_gsxxxx_avisar_cta_erronea_sn, 
					[VARCHAR2(15)] ref string p_cfcta_cod)
				{
												string copia_p_cfcta_cod = p_cfcta_cod;
										    
					string p_mensaje_error;

					OBTENER_CUENTA_CONTABLE(p_transaccion, 
						p_empgrupo_cod, 
						p_emp_cod, 
						p_gaart_cod, 
						p_tipo_documento, 
						p_ggxxxlin_cfcta_gaclatip, 
						p_gsxxxx_avisar_cta_erronea_sn, 
						ref copia_p_cfcta_cod,
						out p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
						throw new SpyroException(p_mensaje_error, "GAART_PKG.OBTENER_CUENTA_CONTABLE");

											p_cfcta_cod = copia_p_cfcta_cod;
				    					
									}	
			
			#endregion

					#region TIENE_ESTRUCTURA
			
			[Nombre("GAART_PKG.TIENE_ESTRUCTURA")]
						[return: VARCHAR2(4000)]
						public delegate string __TIENE_ESTRUCTURA(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string grupo, 
							[VARCHAR2(20)] string articulo, 
							[DATE] DateTime? fecha);

						/// <summary>
			/// Llama a TIENE_ESTRUCTURA.
						/// </summary>
			public static string TIENE_ESTRUCTURA(
				System.Data.IDbTransaction p_transaccion, 
				string grupo, 
				string articulo, 
				DateTime? fecha)
			{
				var v_conexion = p_transaccion.Connection;
				__TIENE_ESTRUCTURA v_tiene_estructura;
				try {
					v_tiene_estructura = Funcion.Crear<__TIENE_ESTRUCTURA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.TIENE_ESTRUCTURA");
				}
									string v_resultado;
								try {
				v_resultado = v_tiene_estructura(p_transaccion, 
					grupo, 
					articulo, 
					fecha);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.TIENE_ESTRUCTURA");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region TRATA_SGA_SN
			
			[Nombre("GAART_PKG.TRATA_SGA_SN")]
						[return: VARCHAR2(1)]
						public delegate string __TRATA_SGA_SN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(20)] string p_gaart_cod);

						/// <summary>
			/// Llama a TRATA_SGA_SN.
						/// </summary>
			public static string TRATA_SGA_SN(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_gaart_cod)
			{
				var v_conexion = p_transaccion.Connection;
				__TRATA_SGA_SN v_trata_sga_sn;
				try {
					v_trata_sga_sn = Funcion.Crear<__TRATA_SGA_SN>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.TRATA_SGA_SN");
				}
									string v_resultado;
								try {
				v_resultado = v_trata_sga_sn(p_transaccion, 
					p_empgrupo_cod, 
					p_gaart_cod);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.TRATA_SGA_SN");
				}
									return v_resultado;
							}
			
			
			#endregion

					#region VALORACION_ART_A_UNA_FECHA
			
			[Nombre("GAART_PKG.VALORACION_ART_A_UNA_FECHA")]
						public delegate void __VALORACION_ART_A_UNA_FECHA(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_id_lisparam);

						/// <summary>
			/// Llama a VALORACION_ART_A_UNA_FECHA.
						/// </summary>
			public static void VALORACION_ART_A_UNA_FECHA(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_id_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__VALORACION_ART_A_UNA_FECHA v_valoracion_art_a_una_fecha;
				try {
					v_valoracion_art_a_una_fecha = Funcion.Crear<__VALORACION_ART_A_UNA_FECHA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.VALORACION_ART_A_UNA_FECHA");
				}
								try {
				v_valoracion_art_a_una_fecha(p_transaccion, 
					p_id_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.VALORACION_ART_A_UNA_FECHA");
				}
							}
			
			
			#endregion

					#region VALORACION_A_UNA_FECHA
			
			[Nombre("GAART_PKG.VALORACION_A_UNA_FECHA")]
						public delegate void __VALORACION_A_UNA_FECHA(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_id_lisparam);

						/// <summary>
			/// Llama a VALORACION_A_UNA_FECHA.
						/// </summary>
			public static void VALORACION_A_UNA_FECHA(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_id_lisparam)
			{
				var v_conexion = p_transaccion.Connection;
				__VALORACION_A_UNA_FECHA v_valoracion_a_una_fecha;
				try {
					v_valoracion_a_una_fecha = Funcion.Crear<__VALORACION_A_UNA_FECHA>(v_conexion);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.VALORACION_A_UNA_FECHA");
				}
								try {
				v_valoracion_a_una_fecha(p_transaccion, 
					p_id_lisparam);
				}
				catch (Exception ex) {
					throw new SpyroException(ex.Message, "GAART_PKG.VALORACION_A_UNA_FECHA");
				}
							}
			
			
			#endregion

			}
}